Bug 152506 - New port: math/parmgridgen - library for obtaining a sequence of successive coarse grids
Summary: New port: math/parmgridgen - library for obtaining a sequence of successive c...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Nicola Vitale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-23 04:20 UTC by devel
Modified: 2010-12-15 16:50 UTC (History)
0 users

See Also:


Attachments
file.shar (6.16 KB, text/plain)
2010-11-23 04:20 UTC, devel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description devel 2010-11-23 04:20:09 UTC
This port will be need for future port cad/openfoam.

Fix: Patch attached with submission follows:
Comment 1 Nicola Vitale freebsd_committer 2010-11-26 13:27:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nivit

I will take it.
Comment 2 dfilter service freebsd_committer 2010-12-15 16:48:13 UTC
nivit       2010-12-15 16:48:09 UTC

  FreeBSD ports repository

  Modified files:
    math                 Makefile 
  Added files:
    math/parmgridgen     Makefile distinfo pkg-descr pkg-plist 
    math/parmgridgen/files patch-MGridGen_IMlib_IMlib.h 
                           patch-MGridGen_Lib_mgridgen.h 
                           patch-Makefile.in 
                           patch-ParMGridGen_IMParMetis_ParMETISLib_parmetis.h 
                           patch-ParMGridGen_ParLib_parmgridgen.h 
  Log:
  ParMGridGen-1.0 is a highly optimized serial and parallel library
  for obtaining a sequence of successive coarse grids that are well suited
  for geometric multigrid methods.
  The quality of the elements of the coarse grids is optimized using a
  multilevel framework.
  The parallel library is based on MPI and is portable to
  a wide range of architectures.
  
  WWW: http://www.mgnet.org/mgnet-codes-parmgridgen.html
  
  PR:             ports/152506
  Submitted by:   Stas Timokhin <devel at stasyan.com>
  
  Revision  Changes    Path
  1.680     +1 -0      ports/math/Makefile
  1.1       +41 -0     ports/math/parmgridgen/Makefile (new)
  1.1       +2 -0      ports/math/parmgridgen/distinfo (new)
  1.1       +11 -0     ports/math/parmgridgen/files/patch-MGridGen_IMlib_IMlib.h (new)
  1.1       +11 -0     ports/math/parmgridgen/files/patch-MGridGen_Lib_mgridgen.h (new)
  1.1       +49 -0     ports/math/parmgridgen/files/patch-Makefile.in (new)
  1.1       +11 -0     ports/math/parmgridgen/files/patch-ParMGridGen_IMParMetis_ParMETISLib_parmetis.h (new)
  1.1       +11 -0     ports/math/parmgridgen/files/patch-ParMGridGen_ParLib_parmgridgen.h (new)
  1.1       +9 -0      ports/math/parmgridgen/pkg-descr (new)
  1.1       +7 -0      ports/math/parmgridgen/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Nicola Vitale freebsd_committer 2010-12-15 16:48:51 UTC
State Changed
From-To: open->closed

New port added. Thanks!